Bug #745

cl-core & m2crypto

Added by Алексей Тихонов over 4 years ago. Updated over 4 years ago.

Status:New Start:06/16/2015
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:- Spent time: -
Target version:-
Votes: 0

Description

из за проблемы со сборкой crda (система частично на ~ ) пришлось вытащить на свет божий m2crypto-0.22.3-r4 и как следствие :

/etc/init.d/calculate-core start
calculate-core   | * Start calculate core ...
calculate-core   |Generating the server certificate
calculate-core   |....................................................................................................................+++
calculate-core   |..........+++
calculate-core   |Traceback (most recent call last):
calculate-core   |  File "/usr/sbin/cl-core", line 29, in <module>
calculate-core   |    sys.exit(main())
calculate-core   |  File "/usr/lib64/python2.7/site-packages/calculate/core/server/func.py", line 1824, in wrapper
calculate-core   |    return func(*args,**kwargs)
calculate-core   |  File "/usr/lib64/python2.7/site-packages/calculate/core/server/cl_server.py", line 136, in main
calculate-core   |    port, args.bootstrap_user_name)
calculate-core   |  File "/usr/lib64/python2.7/site-packages/calculate/core/server/bootstrap.py", line 86, in init
calculate-core   |    create_server_cert(cert, key, cert_path, args, port)
calculate-core   |  File "/usr/lib64/python2.7/site-packages/calculate/core/server/bootstrap.py", line 124, in create_server_cert
calculate-core   |    cert_cmd.check_server_certificate(cert,key,cert_path,args,port,auto=True)
calculate-core   |  File "/usr/lib64/python2.7/site-packages/calculate/core/server/cert_cmd.py", line 142, in check_server_certificate
calculate-core   |    cert = makeCert(req, pkey, name)
calculate-core   |  File "/usr/lib64/python2.7/site-packages/calculate/core/server/create_cert.py", line 143, in makeCert
calculate-core   |    cert.add_ext(X509.new_extension('subjectKeyIdentifier', 'hash'))
calculate-core   |  File "/usr/lib64/python2.7/site-packages/M2Crypto/X509.py", line 29, in new_extension
calculate-core   |    raise ValueError('value must be precomputed hash')
calculate-core   |ValueError: value must be precomputed hash              [ !! ]
calculate-core   | * ERROR: calculate-core failed to start

не собираетесь обновлять m2crypto ?

History

Updated by Mikhail Hiretsky over 4 years ago

А для чего Вам m2crypto-0.22.3-r4 ?

Updated by Алексей Тихонов over 4 years ago

Mikhail Hiretsky wrote:

А для чего Вам m2crypto-0.22.3-r4 ?

из за проблемы со сборкой crda , написал же выше ... и вам вопрос : что мешает использовать стабильный m2crypto-0.22.3-r4 ?
так то даже не проблема (при сборке iso cl-update del calculate-core) или можно из stages /usr/lib64/python2.7/пишусвенды/M2Crypto сделать замену для лайва но свербит когда не работает что то (пусть и ненужное) :)

Updated by Mikhail Hiretsky over 4 years ago

что мешает использовать стабильный m2crypto-0.22.3-r4 ?

Вероятно

raise ValueError('value must be precomputed hash')

так то даже не проблема (при сборке iso

Это генерация сертификата, которые используются в графической консоли, а не просто работа livecd.

из за проблемы со сборкой crda , написал же выше

Проблемы с зависимостью, с компиляцией или с запуском программы?

Updated by Алексей Тихонов over 4 years ago

Mikhail Hiretsky wrote:

что мешает использовать стабильный m2crypto-0.22.3-r4 ?

Вероятно
[...]


так то даже не проблема (при сборке iso

Это генерация сертификата, которые используются в графической консоли, а не просто работа livecd.


из за проблемы со сборкой crda , написал же выше

Проблемы с зависимостью, с компиляцией или с запуском программы?

для чего это я в курсе ... crda не компилилась
зы . через пару-тройку месяцев вы это увидите у себя ... ваш патч для m2crypto уж больно лохматого года ))
ззы . пост не крик о помощи а скорее предупреждение о будущей проблеме ...
http://www.calculate-linux.ru/boards/16/topics/29655#message-29656 :)

Also available in: Atom PDF

Thank you!